'use strict';

var _stringify = require('babel-runtime/core-js/json/stringify');

var _stringify2 = _interopRequireDefault(_stringify);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var React = require('react');
var _ = require('./underscore_ext');

// Styles
var compStyles = require('./ChartView.module.css');

var ChartView = function (_React$Component) {
	(0, _inherits3.default)(ChartView, _React$Component);

	function ChartView() {
		var _ref;

		var _temp, _this, _ret;

		(0, _classCallCheck3.default)(this, ChartView);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = ChartView.__proto__ || (0, _getPrototypeOf2.default)(ChartView)).call.apply(_ref, [this].concat(args))), _this), _this.setSize = function () {
			if (_this.chart) {
				var height = _this.chart.chartHeight(),
				    width = _this.chart.chartWidth();
				document.getElementById("myChart").style.height = height;
				document.getElementById("myChart").style.width = width;
				document.getElementById("controlPanel").style.width = width;
			}
		}, _this.chartRender = function (props) {
			var appState = props.appState,
			    callback = props.callback,
			    root = _this.refs.root;

			require.ensure(['./chart'], function () {
				_this.chart = require('./chart');
				root.innerHTML = '';
				_this.destroy = _this.chart.render(root, callback, { xena: (0, _stringify2.default)(appState) });
			});
		}, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
	}

	(0, _createClass3.default)(ChartView, [{
		key: 'shouldComponentUpdate',
		value: function shouldComponentUpdate() {
			return false;
		}
	}, {
		key: 'componentDidMount',
		value: function componentDidMount() {
			this.chartRender(this.props);
			window.addEventListener('resize', this.setSize);
		}
	}, {
		key: 'componentWillUnmount',
		value: function componentWillUnmount() {
			window.removeEventListener('resize', this.setSize);
			if (this.destroy) {
				this.destroy();
			}
		}
	}, {
		key: 'componentWillReceiveProps',
		value: function componentWillReceiveProps(newProps) {
			// Updating this way is clumsy. Need to refactor chart view.
			if (!_.isEqual(_.omit(this.props.appState, 'chartState'), _.omit(newProps.appState, 'chartState'))) {
				this.chartRender(newProps);
			}
		}
	}, {
		key: 'render',
		value: function render() {
			return React.createElement('div', { ref: 'root', className: compStyles.ChartView });
		}
	}]);
	return ChartView;
}(React.Component);

module.exports = ChartView;