'use strict';

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _PureComponent2 = require('./PureComponent');

var _PureComponent3 = _interopRequireDefault(_PureComponent2);

var _StateErrorModule = require('./StateError.module.css');

var _StateErrorModule2 = _interopRequireDefault(_StateErrorModule);

var _dialog = require('react-toolbox/lib/dialog');

var _dialog2 = _interopRequireDefault(_dialog);

var _underscore_ext = require('./underscore_ext');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var React = require('react');


var stateTypes = ['bookmark', 'import', 'session'];
var getMsg = function getMsg(error) {
	return (0, _underscore_ext.contains)(stateTypes, error) ? 'We were unable to restore the view from your ' + error + ', possibly due to software updates. Sorry about that!' : error;
};

var StateError = function (_PureComponent) {
	(0, _inherits3.default)(StateError, _PureComponent);

	function StateError() {
		(0, _classCallCheck3.default)(this, StateError);
		return (0, _possibleConstructorReturn3.default)(this, (StateError.__proto__ || (0, _getPrototypeOf2.default)(StateError)).apply(this, arguments));
	}

	(0, _createClass3.default)(StateError, [{
		key: 'componentDidMount',
		value: function componentDidMount() {
			document.documentElement.scrollTop = 0;
			var body = document.getElementById("body");
			body.style.overflow = "auto";
		}
	}, {
		key: 'render',
		value: function render() {
			var message = getMsg(this.props.error);

			var actions = [{
				label: React.createElement(
					'i',
					{ className: 'material-icons' },
					'close'
				),
				className: _StateErrorModule2.default.dialogClose,
				onClick: this.props.onHide
			}];
			return React.createElement(
				'div',
				null,
				React.createElement(
					_dialog2.default,
					{
						actions: actions,
						active: true,
						title: 'Whoops...',
						className: _StateErrorModule2.default.dialog,
						onEscKeyDown: this.props.onHide,
						onOverlayClick: this.props.onHide,
						theme: {
							wrapper: _StateErrorModule2.default.dialogWrapper,
							overlay: _StateErrorModule2.default.dialogOverlay } },
					React.createElement(
						'p',
						{ style: { wordWrap: 'break-word' } },
						message
					)
				)
			);
		}
	}]);
	return StateError;
}(_PureComponent3.default);

module.exports = StateError;