'use strict';

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _PureComponent2 = require('../PureComponent');

var _PureComponent3 = _interopRequireDefault(_PureComponent2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var React = require('react');
var widgets = require('../columnWidgets');
var _ = require('../underscore_ext');

// XXX doing layout here.
// XXX we could push width down into widgets.legend, but would
// need to update all the legend components to respect width.
function addLegend(Component) {
	var _class, _temp;

	return _temp = _class = function (_PureComponent) {
		(0, _inherits3.default)(_class, _PureComponent);

		function _class() {
			(0, _classCallCheck3.default)(this, _class);
			return (0, _possibleConstructorReturn3.default)(this, (_class.__proto__ || (0, _getPrototypeOf2.default)(_class)).apply(this, arguments));
		}

		(0, _createClass3.default)(_class, [{
			key: 'render',
			value: function render() {
				var _props = this.props,
				    children = _props.children,
				    props = (0, _objectWithoutProperties3.default)(_props, ['children']),
				    _props$appState = this.props.appState,
				    editing = _props$appState.editing,
				    columns = _props$appState.columns,
				    columnData = _props$appState.data;

				return React.createElement(
					Component,
					props,
					React.Children.map(children, function (el) {
						var id = el.props['data-actionKey'],
						    data = columnData[id],
						    column = columns[id];
						return React.createElement(
							'div',
							{ 'data-actionKey': id },
							el,
							id != null && editing !== id && !_.isNumber(id) ? React.createElement(
								'div',
								{ style: { width: column.width } },
								widgets.legend({ column: column, id: id, data: data })
							) : null
						);
					})
				);
			}
		}]);
		return _class;
	}(_PureComponent3.default), _class.displayName = 'SpreadsheetLegend', _temp;
}

module.exports = addLegend;