'use strict';

var demo = require('../docs/schema');

var _require$html = require('schema-shorthand').html,
    toHTML = _require$html.toHTML,
    css = _require$html.css;

var main = document.getElementById('main');
var _ = require('underscore');

var docs = _.map(demo, function (s) {
	return toHTML(s, demo);
}).join('<br>');
var page = '<html>\n\t<style>\n\t\t.docs {\n\t\t\tmargin: 20px;\n\t\t}\n\t</style>\n    <body>\n    ' + css + '\n\t\t<div class=\'docs\'>\n\t\t\t' + docs + '\n\t\t</div>\n    </body>\n</html>';

main.innerHTML = page;