'use strict';

var _require = require('./drawHeatmap'),
    drawHeatmap = _require.drawHeatmap;

var _ = require('./underscore_ext');
var widgets = require('./columnWidgets');

function pdf(id, column, vg, state) {
	var zoom = state.zoom,
	    heatmap = column.heatmap,
	    colors = column.colors,
	    codes = column.codes;


	drawHeatmap(vg, {
		codes: codes,
		width: _.getIn(column, ['width']),
		zoom: zoom,
		colors: colors,
		heatmapData: heatmap
	});
}

widgets.pdf.add('probes', pdf);
widgets.pdf.add('geneProbes', pdf);
widgets.pdf.add('genes', pdf);
widgets.pdf.add('clinical', pdf);