'use strict';

var _ = require('./underscore_ext');
var Rx = require('./rx');

// XXX Should also do a takeUntil componentWillUnmount, perhaps
// via rx-react.
var rxEvents = function rxEvents(comp) {
	for (var _len = arguments.length, args = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
		args[_key - 1] = arguments[_key];
	}

	var ev = {};
	comp.on = {};
	_.each(args, function (name) {
		var sub = new Rx.Subject();
		ev[name] = sub;
		comp.on[name] = sub.next.bind(sub);
	});
	return ev;
};

module.exports = {
	rxEvents: rxEvents
};