'use strict';

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

require('../../css/transcript_css/nameColumn.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var React = require('react');
var colorScales = require('../colorScales');

var _require = require('../color_helper'),
    contrastColor = _require.contrastColor;

var styles = require('./NameColumn.module.css');

var NameColumn = function (_React$PureComponent) {
	(0, _inherits3.default)(NameColumn, _React$PureComponent);

	function NameColumn() {
		(0, _classCallCheck3.default)(this, NameColumn);
		return (0, _possibleConstructorReturn3.default)(this, (NameColumn.__proto__ || (0, _getPrototypeOf2.default)(NameColumn)).apply(this, arguments));
	}

	(0, _createClass3.default)(NameColumn, [{
		key: 'render',
		value: function render() {
			var data = this.props.data || {},
			    gene = this.props.gene;
			var colors = colorScales.colorScale(['ordinal', data.length]);
			var items = data.map(function (d, index) {
				var rowClass = d.zoom ? "nameColumn--item--zoom" : "nameColumn--item";
				return React.createElement(
					'div',
					{ key: d.name, className: styles[rowClass], style: { backgroundColor: colors(index), color: contrastColor(colors(index)) } },
					React.createElement(
						'span',
						null,
						React.createElement(
							'i',
							null,
							gene,
							' ',
							d.name
						)
					)
				);
			});

			//height of each row has been set to 70px
			return React.createElement(
				'div',
				{ className: styles.nameColumn },
				items
			);
		}
	}]);
	return NameColumn;
}(React.PureComponent);

module.exports = NameColumn;