'use strict';

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

require('../css/index.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

require('./base');

// import controller for the transcript view actions
var controller = require('./controllers/transcripts');
var connector = require('./connector');
var createStore = require('./store');
// Root styles file (reset, fonts, globals)
var Transcripts = require('./transcript_views/TranscriptPage');

var store = createStore();
var main = window.document.getElementById('main');

var selector = function selector(state) {
  return state;
};

// Start the application
connector((0, _extends3.default)({}, store, { controller: controller, main: main, selector: selector, Page: Transcripts, persist: true, history: false }));