'use strict';

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _PureComponent2 = require('../PureComponent');

var _PureComponent3 = _interopRequireDefault(_PureComponent2);

var _underscore_ext = require('../underscore_ext.js');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var React = require('react');

var ColumnsWrapper = function (_React$Component) {
	(0, _inherits3.default)(ColumnsWrapper, _React$Component);

	function ColumnsWrapper() {
		(0, _classCallCheck3.default)(this, ColumnsWrapper);
		return (0, _possibleConstructorReturn3.default)(this, (ColumnsWrapper.__proto__ || (0, _getPrototypeOf2.default)(ColumnsWrapper)).apply(this, arguments));
	}

	(0, _createClass3.default)(ColumnsWrapper, [{
		key: 'render',
		value: function render() {
			var _props = this.props,
			    children = _props.children,
			    append = _props.append,
			    onClick = _props.onClick;

			return React.createElement(
				'div',
				{ onClick: onClick, className: 'Columns' },
				children,
				append
			);
		}
	}]);
	return ColumnsWrapper;
}(React.Component);

var getColumns = function getColumns(wrapperFn) {
	var _class, _temp;

	var Wrapper = wrapperFn(ColumnsWrapper);

	return _temp = _class = function (_PureComponent) {
		(0, _inherits3.default)(_class, _PureComponent);

		function _class() {
			(0, _classCallCheck3.default)(this, _class);
			return (0, _possibleConstructorReturn3.default)(this, (_class.__proto__ || (0, _getPrototypeOf2.default)(_class)).apply(this, arguments));
		}

		(0, _createClass3.default)(_class, [{
			key: 'render',
			value: function render() {
				var children = this.props.children,
				    wrapperProps = (0, _underscore_ext.omit)(this.props, 'onClick', 'children');

				return React.createElement(
					Wrapper,
					wrapperProps,
					children
				);
			}
		}]);
		return _class;
	}(_PureComponent3.default), _class.displayName = 'SpreadsheetColumns', _temp;
};

module.exports = getColumns;