'use strict';

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _PureComponent2 = require('./PureComponent');

var _PureComponent3 = _interopRequireDefault(_PureComponent2);

var _SampleZoomIndicator = require('./views/SampleZoomIndicator');

var _SampleZoomIndicator2 = _interopRequireDefault(_SampleZoomIndicator);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var React = require('react');
require('react-resizable/css/styles.css');
var getColumns = require('./views/Columns');


// Styles
require('./Columns.css'); // XXX switch to js styles
var compStyles = require('./Spreadsheet.module.css');

var getSpreadsheet = function getSpreadsheet(columnsWrapper) {
	var _class, _temp;

	var Columns = getColumns(columnsWrapper);
	return _temp = _class = function (_PureComponent) {
		(0, _inherits3.default)(_class, _PureComponent);

		function _class() {
			(0, _classCallCheck3.default)(this, _class);
			return (0, _possibleConstructorReturn3.default)(this, (_class.__proto__ || (0, _getPrototypeOf2.default)(_class)).apply(this, arguments));
		}

		(0, _createClass3.default)(_class, [{
			key: 'render',
			value: function render() {
				var _props = this.props,
				    _props$appState = _props.appState,
				    data = _props$appState.data,
				    addColumnAddHover = _props$appState.addColumnAddHover,
				    columns = _props$appState.columns,
				    enableTransition = _props$appState.enableTransition,
				    samples = _props$appState.samples,
				    zoom = _props$appState.zoom,
				    children = _props.children,
				    otherProps = (0, _objectWithoutProperties3.default)(_props, ['appState', 'children']);

				return React.createElement(
					'div',
					{ className: compStyles.Spreadsheet },
					zoom.count < samples.length ? React.createElement(_SampleZoomIndicator2.default, { column: columns.samples, addColumnAddHover: addColumnAddHover, enableTransition: enableTransition, data: data.samples, samples: samples, zoom: zoom }) : null,
					React.createElement(
						Columns,
						(0, _extends3.default)({ appState: this.props.appState }, otherProps),
						children
					)
				);
			}
		}]);
		return _class;
	}(_PureComponent3.default), _class.displayName = 'Spreadsheet', _temp;
};

module.exports = getSpreadsheet;