'use strict';

var _toArray2 = require('babel-runtime/helpers/toArray');

var _toArray3 = _interopRequireDefault(_toArray2);

var _agnes = require('./agnes');

var _jStat = require('jStat');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//import {agnes} from 'ml-hclust';
var file = require('raw!../expression2');

//console.log('jStat', Object.keys(jStat));

//import distanceMatrix from 'ml-distance-matrix';
var pearson = function pearson(a, b) {
	return 1 - _jStat.jStat.corrcoeff(a, b);
};

var _ = require('./underscore_ext');
//var fs = require('fs');


function checkParseFloat(v) {
	var x = parseFloat(v);
	if (isNaN(x)) {
		console.log('bad value', v);
	}
	return x;
}

var _file$split = file.split(/\n/),
    _file$split2 = (0, _toArray3.default)(_file$split),
    header = _file$split2[0],
    lines = _file$split2.slice(1);

var data = lines.map(function (line) {
	return line.split(/\t/).slice(1).map(function (v) {
		return v === '' ? null : checkParseFloat(v);
	});
});

var genes = header.split(/\t/).slice(1);
//var result = agnes

console.log(data.length);
console.log(data[0].length);

//console.log(data[0].slice(0, 10));


//function setDepth(tree) {
//	if (!tree.children.length) {
//		tree.depth = 0;
//		return;
//	}
//	var [left, right] = tree.children;
//	setDepth(left);
//	setDepth(right);
//	tree.depth = 1 + Math.max(left.depth, right.depth);
//}

//function reOrder(tree) {
//	if (!tree.children.length) {
//		return;
//	}
//	var [left, right] = tree.children;
//	reOrder(left);
//	reOrder(right);
//	if (left.depth > right.depth ||
//			left.depth === right.depth &&
//				_.isNumber(left.index) && _.isNumber(right.index)
//				&& left.index > right.index) {
//		tree.children = [right, left];
//	}
//}

//function extractOrder(tree, acc = []) {
//	if (!tree.children.length) {
//		acc.push(tree.index);
//		return;
//	}
//	extractOrder(tree.children[0], acc);
//	extractOrder(tree.children[1], acc);
//	return acc;
//}

//function extractTree(tree, data) {
//	if (!tree.children.length) {
//		return data[tree.index];
//	}
//	var [left, right] = tree.children;
//	return [extractTree(left, data), extractTree(right, data)];
//}

var t = _.zip.apply(null, data);

//var matrix = distanceMatrix(t, pearson);
//console.log('matrix', matrix);
var t0 = Date.now();
var result = (0, _agnes.agnes)(t, pearson);
//var result = agnes(matrix, {isDistanceMatrix: true});

var d = Date.now() - t0;
console.log(d / 1000, ' sec');

var order = (0, _agnes.treeOrder)(result);

//var order = _.pluck(result.index, 'index');

//console.log('order', order);
console.log('genes', order.map(function (i) {
	return genes[i];
}).join(', '));