'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _PureComponent2 = require('../PureComponent');

var _PureComponent3 = _interopRequireDefault(_PureComponent2);

var _TiesPlaceholder = require('../views/TiesPlaceholder');

var _TiesPlaceholder2 = _interopRequireDefault(_TiesPlaceholder);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var React = require('react');

var _require = require('../underscore_ext'),
    pick = _require.pick;

var TiesContainer = function (_PureComponent) {
	(0, _inherits3.default)(TiesContainer, _PureComponent);

	function TiesContainer() {
		var _ref;

		var _temp, _this, _ret;

		(0, _classCallCheck3.default)(this, TiesContainer);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = TiesContainer.__proto__ || (0, _getPrototypeOf2.default)(TiesContainer)).call.apply(_ref, [this].concat(args))), _this), _this.onAddTerm = function (term) {
			_this.props.callback(['ties-add-term', term]);
		}, _this.onKeepRow = function (index, keep) {
			_this.props.callback(['ties-keep-row', index, keep]);
		}, _this.onShowDoc = function (index) {
			_this.props.callback(['ties-show-doc', index]);
		}, _this.onHideDoc = function () {
			_this.props.callback(['ties-hide-doc']);
		}, _this.onPage = function (page) {
			_this.props.callback(['ties-set-page', page]);
		}, _this.onCreateColumn = function () {
			console.log('onCreateColumn FIXME');
			// getColSpec, blah blah
		}, _this.onDismiss = function () {
			_this.props.callback(['ties-dismiss']);
		}, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
	}

	(0, _createClass3.default)(TiesContainer, [{
		key: 'render',
		value: function render() {
			var handlers = pick(this, ['onAddTerm', 'onKeepRow', 'onShowDoc', 'onHideDoc', 'onPage', 'onCreateColumn', 'onDismiss']);
			return React.createElement(_TiesPlaceholder2.default, (0, _extends3.default)({
				state: this.props.appState
			}, handlers));
		}
	}]);
	return TiesContainer;
}(_PureComponent3.default);

TiesContainer.displayName = 'TiesContainer';
exports.default = TiesContainer;