'use strict';

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var React = require('react');
var VizSettings = require('../views/VizSettings');
var _ = require('../underscore_ext');

var vizSettingsState = ['defaultNormalization', 'colorClass', 'vizSettings', 'valueType', 'fieldType'];
function vizSettingsSelector(appState, columnId) {
	return _.pick(_.getIn(appState, ['columns', columnId]), vizSettingsState);
}

function addVizEditor(Component) {
	var _class, _temp2;

	return _temp2 = _class = function (_React$Component) {
		(0, _inherits3.default)(_class, _React$Component);

		function _class() {
			var _ref;

			var _temp, _this, _ret;

			(0, _classCallCheck3.default)(this, _class);

			for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
				args[_key] = arguments[_key];
			}

			return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = _class.__proto__ || (0, _getPrototypeOf2.default)(_class)).call.apply(_ref, [this].concat(args))), _this), _this.onHideViz = function () {
				_this.props.onOpenVizSettings(null);
			}, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
		}

		(0, _createClass3.default)(_class, [{
			key: 'render',
			value: function render() {
				// XXX appState?

				var _props = this.props,
				    onVizSettings = _props.onVizSettings,
				    componentProps = (0, _objectWithoutProperties3.default)(_props, ['onVizSettings']),
				    appState = componentProps.appState,
				    openVizSettings = appState.openVizSettings,
				    data = appState.data[openVizSettings],
				    column = appState.columns[openVizSettings],
				    units = appState.columns[openVizSettings] && appState.columns[openVizSettings].units;


				return React.createElement(
					Component,
					componentProps,
					this.props.children,
					openVizSettings ? React.createElement(VizSettings, (0, _extends3.default)({
						id: openVizSettings,
						onRequestHide: this.onHideViz,
						onVizSettings: onVizSettings,
						data: data,
						column: column,
						units: units
					}, vizSettingsSelector(appState, openVizSettings))) : null
				);
			}
		}]);
		return _class;
	}(React.Component), _class.displayName = 'SpreadsheetVizSettings', _temp2;
}

module.exports = addVizEditor;