'use strict';

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _PureComponent2 = require('../PureComponent');

var _PureComponent3 = _interopRequireDefault(_PureComponent2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var React = require('react');
var Sortable = require('../views/Sortable');
var gaEvents = require('../gaEvents');

// We skip the first column to keep 'samples' on the left.
function makeSortable(Component) {
	var _class, _temp2;

	return _temp2 = _class = function (_PureComponent) {
		(0, _inherits3.default)(_class, _PureComponent);

		function _class() {
			var _ref;

			var _temp, _this, _ret;

			(0, _classCallCheck3.default)(this, _class);

			for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
				args[_key] = arguments[_key];
			}

			return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = _class.__proto__ || (0, _getPrototypeOf2.default)(_class)).call.apply(_ref, [this].concat(args))), _this), _this.onReorder = function (order) {
				gaEvents('spreadsheet', 'reorder');
				_this.props.callback(['order', order]);
			}, _this.onDragging = function (dragging) {
				_this.props.onInteractive('drag', !dragging);
			}, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
		}

		(0, _createClass3.default)(_class, [{
			key: 'render',
			value: function render() {
				var _this2 = this;

				var _props = this.props,
				    children = _props.children,
				    otherProps = (0, _objectWithoutProperties3.default)(_props, ['children']),
				    widths = this.props.appState.columnOrder.map(function (id) {
					return _this2.props.appState.columns[id].width;
				});

				return React.createElement(
					Sortable,
					(0, _extends3.default)({
						widths: widths
					}, otherProps, {
						Component: Component,
						onDragging: this.onDragging,
						onReorder: this.onReorder }),
					children
				);
			}
		}]);
		return _class;
	}(_PureComponent3.default), _class.displayName = 'SpreadsheetSortable', _temp2;
}

module.exports = makeSortable;