'use strict';

var Rx = require('./rx');
var _ = require('./underscore_ext');

var codes = [38, // up
38, // up
40, // down
40, // down
37, // left
39, // right
37, // left
39, // right
66 // b
];

module.exports = function (last) {
	var target = [].concat(codes, [last]);
	return Rx.Observable.fromEvent(document, 'keyup').map(function (e) {
		return e.keyCode;
	}) // get the key code
	.windowCount(10, 1) // get the last 10 keys
	.flatMap(function (x) {
		return x.toArray();
	}) //
	.filter(function (x) {
		return _.isEqual(x, target);
	}); // compare to known konami code sequence
};