module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};

/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {

/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;

/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};

/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);

/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;

/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}


/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;

/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;

/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";

/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

	module.exports = {"allCohorts": __webpack_require__(1),
	"allDatasetsN": __webpack_require__(2),
	"allFieldMetadata": __webpack_require__(3),
	"cohortSamples": __webpack_require__(4),
	"cohortSummary": __webpack_require__(5),
	"datasetChromProbeValues": __webpack_require__(6),
	"datasetCohort": __webpack_require__(7),
	"datasetFetch": __webpack_require__(8),
	"datasetField": __webpack_require__(9),
	"datasetFieldExamples": __webpack_require__(10),
	"datasetFieldN": __webpack_require__(11),
	"datasetGeneProbeAvg": __webpack_require__(12),
	"datasetGeneProbesValues": __webpack_require__(13),
	"datasetGeneSignature": __webpack_require__(14),
	"datasetList": __webpack_require__(15),
	"datasetMetadata": __webpack_require__(16),
	"datasetProbeSignature": __webpack_require__(17),
	"datasetProbeValues": __webpack_require__(18),
	"datasetSamples": __webpack_require__(19),
	"datasetSamplesExamples": __webpack_require__(20),
	"datasetSamplesHTFCExamples": __webpack_require__(21),
	"datasetSamplesNDenseMatrix": __webpack_require__(22),
	"datasetStatus": __webpack_require__(23),
	"featureList": __webpack_require__(24),
	"fieldCodes": __webpack_require__(25),
	"fieldMetadata": __webpack_require__(26),
	"geneTranscripts": __webpack_require__(27),
	"matchFields": __webpack_require__(28),
	"matchFieldsFaster": __webpack_require__(29),
	"matchGenesWithProbes": __webpack_require__(30),
	"matchPartialField": __webpack_require__(31),
	"maxRange": __webpack_require__(32),
	"probemapList": __webpack_require__(33),
	"refGeneExons": __webpack_require__(34),
	"refGenePosition": __webpack_require__(35),
	"refGeneRange": __webpack_require__(36),
	"segmentDataExamples": __webpack_require__(37),
	"segmentedDataRange": __webpack_require__(38),
	"sparseData": __webpack_require__(39),
	"sparseDataExamples": __webpack_require__(40),
	"sparseDataMatchField": __webpack_require__(41),
	"sparseDataMatchFieldSlow": __webpack_require__(42),
	"sparseDataMatchPartialField": __webpack_require__(43),
	"sparseDataRange": __webpack_require__(44),
	"transcriptExpression": __webpack_require__(45)};


/***/ }),
/* 1 */
/***/ (function(module, exports) {

	module.exports = ";allCohorts\n(fn [exclude]\n\t(map :cohort\n\t  (query\n\t\t{:select [[#sql/call [:distinct #sql/call [:ifnull :cohort \"(unassigned)\"]] :cohort]]\n\t\t :from [:dataset]\n\t\t :where [:not [:in :type exclude]]})))\n"

/***/ }),
/* 2 */
/***/ (function(module, exports) {

	module.exports = "; allDatasetsN\n(fn []\n\t(count (query {:select [:cohort]\n               :from [:dataset]\n               :where [:<> :cohort nil]})))\n               "

/***/ }),
/* 3 */
/***/ (function(module, exports) {

	module.exports = "; allFieldMetadata\n(fn [dataset]\n\t(query {:select [:field.name :feature.*]\n\t\t\t:from [:field]\n\t\t\t:where [:= :dataset_id {:select [:id]\n\t\t\t\t\t\t\t :from [:dataset]\n\t\t\t\t\t\t\t :where [:= :name dataset]}]\n\t\t\t:left-join [:feature [:= :feature.field_id :field.id]]}))\n"

/***/ }),
/* 4 */
/***/ (function(module, exports) {

	module.exports = "; cohortSamples\n(fn [cohort limit]\n    (map :value\n      (query\n        {:select [:%distinct.value]\n         :from [:dataset]\n         :join [:field [:= :dataset.id :dataset_id]\n                :code [:= :field_id :field.id]]\n         :limit limit\n         :where [:and [:= :cohort cohort]\n                      [:= :field.name \"sampleID\"]]})))\n"

/***/ }),
/* 5 */
/***/ (function(module, exports) {

	module.exports = "; cohortSummary\n(fn [exclude]\n\t(query {:select [:cohort [:%count.* :count]]\n\t\t\t:from [:dataset]\n\t\t\t:where [:not [:in :type exclude]]\n\t\t\t:group-by [:cohort]}))\n"

/***/ }),
/* 6 */
/***/ (function(module, exports) {

	module.exports = "; datasetChromProbeValues\n(fn [dataset samples chr start end]\n\t(let [probemap (:probemap (car (query {:select [:probemap]\n\t\t\t\t\t\t\t\t\t\t   :from [:dataset]\n\t\t\t\t\t\t\t\t\t\t   :where [:= :name dataset]})))\n\t\t\tposition (xena-query {:select [\"name\" \"position\"] :from [probemap] :where [:in \"position\" [[chr start end]]]})\n\t\t\tprobes (position \"name\")]\n\t  [position\n\t\t(fetch [{:table dataset\n\t\t\t\t :samples samples\n\t\t\t\t :columns probes}])]))\n\n"

/***/ }),
/* 7 */
/***/ (function(module, exports) {

	module.exports = "; datasetCohort\n(fn [dataset]\n\t(query {:select [:cohort]\n            :from [:dataset]\n            :where [:= :dataset.name dataset]}))\n"

/***/ }),
/* 8 */
/***/ (function(module, exports) {

	module.exports = "; datasetFetch\n(fn [dataset samples probes]\n  (fetch [{:table dataset\n           :columns probes\n           :samples samples}]))\n"

/***/ }),
/* 9 */
/***/ (function(module, exports) {

	module.exports = "; datasetField\n(fn [dataset]\n  (map :name (query {:select [:field.name]\n                     :from [:dataset]\n                     :join [:field [:= :dataset.id :dataset_id]]\n                     :where [:= :dataset.name dataset]})))\n"

/***/ }),
/* 10 */
/***/ (function(module, exports) {

	module.exports = "; datasetFieldExamples\n(fn [dataset count]\n    (map :name (query {:select [:field.name]\n                       :from [:dataset]\n                       :join [:field [:= :dataset.id :dataset_id]]\n                       :where [:= :dataset.name dataset]\n                       :limit count})))\n"

/***/ }),
/* 11 */
/***/ (function(module, exports) {

	module.exports = "; datasetFieldN\n(fn [dataset]\n   (:count (car (query {:select [[:%count.field.name :count]]\n                        :from [:dataset]\n                        :join [:field [:= :dataset.id :dataset_id]]\n                        :where [:= :dataset.name dataset]}))))\n"

/***/ }),
/* 12 */
/***/ (function(module, exports) {

	module.exports = "; datasetGeneProbeAvg\n(fn [dataset samples genes]\n\t(let [probemap (:probemap (car (query {:select [:probemap]\n\t\t\t\t\t\t\t\t\t\t   :from [:dataset]\n\t\t\t\t\t\t\t\t\t\t   :where [:= :name dataset]})))\n\t\t  get-probes (fn [gene] (xena-query {:select [\"name\" \"position\"] :from [probemap] :where [:in :any \"genes\" [gene]]}))\n\t\t  avg (fn [scores] (mean scores 0))\n\t\t  scores-for-gene (fn [gene]\n\t\t\t  (let [probes (get-probes gene)\n\t\t\t\t\tprobe-names (probes \"name\")\n\t\t\t\t\tscores (fetch [{:table dataset\n\t\t\t\t\t\t\t\t\t:samples samples\n\t\t\t\t\t\t\t\t\t:columns probe-names}])]\n\t\t\t\t{:gene gene\n\t\t\t\t :position (probes \"position\")\n\t\t\t\t :scores (if (car probe-names) (avg scores) [[]])}))]\n\t  (map scores-for-gene genes)))\n"

/***/ }),
/* 13 */
/***/ (function(module, exports) {

	module.exports = "; datasetGeneProbesValues\n(fn [dataset samples genes]\n\t(let [probemap (:probemap (car (query {:select [:probemap]\n\t\t\t\t\t\t\t\t\t\t   :from [:dataset]\n\t\t\t\t\t\t\t\t\t\t   :where [:= :name dataset]})))\n\t\t\tposition (xena-query {:select [\"name\" \"position\"] :from [probemap] :where [:in :any \"genes\" genes]})\n\t\t\tprobes (position \"name\")]\n\t  [position\n\t\t(fetch [{:table dataset\n\t\t\t\t :samples samples\n\t\t\t\t :columns probes}])]))\n"

/***/ }),
/* 14 */
/***/ (function(module, exports) {

	module.exports = ";datasetGeneSignature\n(fn [dataset samples genes weights]\n (let [probemap (:probemap (car (query {:select [:probemap]\n                                        :from [:dataset]\n                                        :where [:= :name dataset]})))\n       get-probes (fn [gene] (xena-query {:select [\"name\" \"position\"]\n                                          :from [probemap]\n                                          :where [:in :any \"genes\" [gene]]}))\n       avg (fn [scores] (mean scores 0))\n       scores-for-gene (fn [gene]\n                         (let [probes (get-probes gene)\n                               probe-names (probes \"name\")\n                               scores (fetch [{:table dataset\n                                               :samples samples\n                                               :columns probe-names}])]\n                           (if (car probe-names) (car (avg scores)) [])))]\n\n     ; putting in an object avoids a liberator encoding error\n     {:scores (apply + (map (fn [w v] (* v w)) weights (map scores-for-gene genes)))}))\n"

/***/ }),
/* 15 */
/***/ (function(module, exports) {

	module.exports = "; datasetList\n(fn [cohorts]\n    (let [count-table {:select [[:dataset.name :dname] [:%count.value :count]]\n                       :from [:dataset]\n                       :join [:field [:= :dataset.id :dataset_id]\n                              :code [:= :field.id :field_id]]\n                       :group-by [:dataset.name]\n                       :where [:= :field.name \"sampleID\"]}]\n        (query {:select [:d.name :d.longtitle :count :d.type :d.datasubtype :d.probemap :d.text :d.status [:pm-dataset.text :pmtext]]\n                   :from [[:dataset :d]]\n                   :left-join [[:dataset :pm-dataset] [:= :pm-dataset.name :d.probemap]\n                                count-table [:= :dname :d.name]]\n                   :where [:in :d.cohort cohorts]})))\n"

/***/ }),
/* 16 */
/***/ (function(module, exports) {

	module.exports = "; datasetMetadata\n(fn [dataset]\n    (let [count-table {:select [[:dataset.name :dname] [:%count.value :count]]\n                       :from [:dataset]\n                       :join [:field [:= :dataset.id :dataset_id]\n                       :code [:= :field.id :field_id]]\n                       :group-by [:dataset.name]\n                       :where [:= :field.name \"sampleID\"]}]\n        (query {:select [:d.name :d.longtitle :count :d.type :d.datasubtype :d.probemap :d.text :d.status [:pm-dataset.text :pmtext]]\n                   :from [[:dataset :d]]\n                   :left-join [[:dataset :pm-dataset] [:= :pm-dataset.name :d.probemap]\n                                count-table [:= :dname :d.name]]\n                   :where [:= :d.name dataset]})))\n"

/***/ }),
/* 17 */
/***/ (function(module, exports) {

	module.exports = ";datasetProbeSignature\n(fn [dataset samples probes weights]\n (let [vals (fetch [{:table dataset\n                     :samples samples\n                     :columns probes}])]\n     (apply + (map (fn [w v] (* v w)) weights vals))))\n"

/***/ }),
/* 18 */
/***/ (function(module, exports) {

	module.exports = "; datasetProbeValues\n(fn [dataset samples probes]\n  (let [probemap (:probemap (car (query {:select [:probemap]\n                                         :from [:dataset]\n                                         :where [:= :name dataset]})))\n        position (if probemap\n                    (xena-query {:select [\"name\" \"position\"] :from [probemap] :where [:in \"name\" probes]})\n                    nil)]\n    [position\n     (fetch [{:table dataset\n              :columns probes\n              :samples samples}])]))\n\n"

/***/ }),
/* 19 */
/***/ (function(module, exports) {

	module.exports = "; datasetSamples\n(fn [dataset limit]\n    (map :value\n      (query\n        {:select [:value]\n         :from [:dataset]\n         :join [:field [:= :dataset.id :dataset_id]\n                :code [:= :field.id :field_id]]\n         :limit limit\n         :where [:and\n                 [:= :dataset.name dataset]\n                 [:= :field.name \"sampleID\"]]})))\n"

/***/ }),
/* 20 */
/***/ (function(module, exports) {

	module.exports = "; datasetSamplesExamples\n(fn [dataset count]\n\t(map :value\n\t  (query\n\t\t{:select [:value]\n\t\t :from [:dataset]\n\t\t :join [:field [:= :dataset.id :dataset_id]\n\t\t\t\t:code [:= :field.id :field_id]]\n\t\t :where [:and\n\t\t\t\t [:= :dataset.name dataset]\n\t\t\t\t [:= :field.name \"sampleID\"]]\n\t\t :limit count})))\n"

/***/ }),
/* 21 */
/***/ (function(module, exports) {

	module.exports = ";datasetSamplesHTFCExamples\n(fn [dataset count]\n  (take 10 (seq-htfc ((car (query {:select [:samples]\n                                   :from [:sample]\n                                   :join [:dataset [:= :dataset.id :dataset_id]]\n                                   :where [:= :name dataset]})) :samples))))\n"

/***/ }),
/* 22 */
/***/ (function(module, exports) {

	module.exports = "; datasetSamplesNDenseMatrix\n(fn [dataset]\n    (map :rows\n        (query\n            {:select [:rows]\n             :from [:dataset]\n             :where [:= :name dataset]})))\n"

/***/ }),
/* 23 */
/***/ (function(module, exports) {

	module.exports = "; datasetStatus\n(fn [dataset]\n\t (query {:select [:status :text] :from [:dataset] :where [:= :name dataset]}))\n"

/***/ }),
/* 24 */
/***/ (function(module, exports) {

	module.exports = "; featureList\n(fn [dataset]\n\t(query {:select [:field.name :feature.longtitle]\n\t\t\t:from [:field]\n\t\t\t:where [:= :dataset_id {:select [:id]\n\t\t\t\t\t\t\t :from [:dataset]\n\t\t\t\t\t\t\t :where [:= :name dataset]}]\n\t\t\t:left-join [:feature [:= :feature.field_id :field.id]]}))\n\n"

/***/ }),
/* 25 */
/***/ (function(module, exports) {

	module.exports = "; fieldCodes\n(fn [dataset fields]\n\t(query\n\t  {:select [:P.name [#sql/call [:group_concat :value :order :ordering :separator #sql/call [:chr 9]] :code]]\n\t   :from [[{:select [:field.id :field.name]\n\t\t\t\t:from [:field]\n\t\t\t\t:join [{:table [[[:name :varchar fields]] :T]} [:= :T.name :field.name]]\n\t\t\t\t:where [:= :dataset_id {:select [:id]\n\t\t\t\t\t\t\t\t :from [:dataset]\n\t\t\t\t\t\t\t\t :where [:= :name dataset]}]} :P]]\n\t   :left-join [:code [:= :P.id :field_id]]\n\t   :group-by [:P.id]}))\n"

/***/ }),
/* 26 */
/***/ (function(module, exports) {

	module.exports = "; fieldMetadata\n(fn [dataset fields]\n\t(query\n\t  {:select [:P.name :feature.*]\n\t   :from [[{:select [:field.name :field.id]\n\t\t\t\t:from [:field]\n\t\t\t\t:join [{:table [[[:name :varchar fields]] :T]} [:= :T.name :field.name]]\n\t\t\t\t:where [:= :dataset_id {:select [:id]\n\t\t\t\t\t\t\t\t :from [:dataset]\n\t\t\t\t\t\t\t\t :where [:= :name dataset]}]} :P]]\n\t   :left-join [:feature [:= :feature.field_id :P.id]]}))\n"

/***/ }),
/* 27 */
/***/ (function(module, exports) {

	module.exports = "; geneTranscripts\n(fn [dataset gene]\n\t(xena-query {:select [\"name\" \"position (2)\" \"position\" \"exonCount\" \"exonStarts\" \"exonEnds\"]\n\t\t\t\t :from [dataset]\n\t\t\t\t :where [:in :any \"name2\" [gene]]}))\n\n\n"

/***/ }),
/* 28 */
/***/ (function(module, exports) {

	module.exports = "; matchFields\n(fn [dataset names]\n\t(map :name (query {:select [:field.name]\n\t\t\t\t\t   :from [:dataset]\n\t\t\t\t\t   :join [:field [:= :dataset.id :field.dataset_id]]\n\t\t\t\t\t   :where [:and [:in :%lower.field.name names] [:= :dataset.name dataset]]})))\n"

/***/ }),
/* 29 */
/***/ (function(module, exports) {

	module.exports = "; matchFieldsFaster\n(fn [dataset names]\n  (map :name (query {:select [:field.name]\n                     :from [:dataset]\n                     :join [{:table [[[:name :varchar names]] :T]} [:= :T.name :field.name]\n                            :field [:= :dataset.id :field.dataset_id]]\n                     :where [:and  [:= :dataset.name dataset]]})))\n"

/***/ }),
/* 30 */
/***/ (function(module, exports) {

	module.exports = "; matchGenesWithProbes\n(fn [dataset names]\n  (let [probemap (:probemap (car (query {:select [:probemap] :from [:dataset] :where [:= :dataset.name dataset]})))\n        getfield (fn [field]\n                   (:id (car (query {:select [:field.id]\n                                     :from [:dataset]\n                                     :join [:field [:= :dataset.id :field.dataset_id]]\n                                     :where [:and [:= :field.name field] [:= :dataset.name probemap]]}))))\n        genes (getfield \"genes\")\n        matches (map :gene (query {:select [:%distinct.gene]\n                                   :from [:field_gene]\n                                   :join [{:table [[[:name :varchar names]] :T]} [:= :T.name :gene]]\n                                   :where [:= :field_gene.field_id genes]}))\n        probes (map (fn [gene]\n                      (let [probes\n                            ((xena-query {:select [\"name\"]\n                                          :from [probemap]\n                                          :where [:in :any \"genes\" [gene]]}) \"name\")]\n                        (:count (car (query {:select [[:%count.* :count]]\n                                             :from [{:select [:field.name]\n                                                     :limit 1\n                                                     :from [:field]\n                                                     :join [:dataset [:= :dataset.id :dataset_id]\n                                                            {:table [[[:name :varchar probes]] :T]} [:= :T.name :field.name]]\n                                                     :where [:= :dataset.name dataset]}]})))))\n                    matches)\n        filtered (map :name (query {:select [:name]\n                                    :from [{:table [[[:name :varchar matches] [:count :int probes]] :T]}]\n                                    :where [:<> :count 0]}))]\n    filtered))\n"

/***/ }),
/* 31 */
/***/ (function(module, exports) {

	module.exports = "; matchPartialField\n(fn [dataset names limit]\n  (map :name (query {:select [:field.name]\n                     :limit limit\n                     :order-by [:field.name]\n                     :from [:dataset]\n                     :join [{:table [[[:name :varchar names]] :T]} [:like :field.name :T.name]\n                            :field [:= :dataset.id :field.dataset_id]]\n                     :where [:and  [:= :dataset.name dataset]]})))\n"

/***/ }),
/* 32 */
/***/ (function(module, exports) {

	module.exports = "; maxRange\n(fn [dataset chr start end limit]\n\t(let [position (xena-query {:select [\"position\"] :from [dataset]\n                                :where [:in \"position\" [[chr start end]]]\n                                :offset limit :limit 1})]\n\t  (map :chromstart (position \"position\"))))\n"

/***/ }),
/* 33 */
/***/ (function(module, exports) {

	module.exports = ";probemapList\n(fn []\n  (query {:select [:dataset.name :text :hash]\n          :from [:dataset]\n          :join [:dataset-source [:= :dataset.id :dataset_id]\n            :source [:= :source.id :source_id]]\n          :where [:= :type \"probeMap\"]}))\n"

/***/ }),
/* 34 */
/***/ (function(module, exports) {

	module.exports = "; refGeneExons\n(fn [dataset genes]\n    (xena-query {:select [\"position (2)\" \"position\" \"exonCount\" \"exonStarts\" \"exonEnds\" \"name2\"]\n                 :from [dataset]\n                 :where [:in :any \"name2\" genes]}))\n"

/***/ }),
/* 35 */
/***/ (function(module, exports) {

	module.exports = "; refGenePosition\n(fn [dataset gene]\n\t(car ((xena-query {:select [\"position\"] :from [dataset] :where [:in :any \"name2\" [gene]]}) \"position\")))\n"

/***/ }),
/* 36 */
/***/ (function(module, exports) {

	module.exports = "; refGeneRange\n(fn [dataset chr start end]\n\t(xena-query {:select [\"position (2)\" \"position\" \"exonCount\" \"exonStarts\" \"exonEnds\" \"name2\"]\n\t\t\t\t:from [dataset]\n\t\t\t\t:where [:in \"position\" [[chr start end]]]}))"

/***/ }),
/* 37 */
/***/ (function(module, exports) {

	module.exports = "; sparseDataExample\n(fn [dataset count]\n\t{:rows (xena-query {:select [\"sampleID\" \"position\" \"value\"]\n\t\t\t\t\t\t:from [dataset]\n\t\t\t\t\t\t:limit count})})\n"

/***/ }),
/* 38 */
/***/ (function(module, exports) {

	module.exports = "; segmentedDataRange\n(fn [dataset samples chr start end]\n\t(let [getfield (fn [field]\n\t\t\t\t\t (:id (car (query {:select [:field.id]\n\t\t\t\t\t\t\t\t\t   :from [:dataset]\n\t\t\t\t\t\t\t\t\t   :join [:field [:= :dataset.id :field.dataset_id]]\n\t\t\t\t\t\t\t\t\t   :where [:and [:= :field.name field] [:= :dataset.name dataset]]}))))\n\t\t  sampleID (getfield \"sampleID\")]\n\t  {:samples (map :value (query {:select [:value]\n\t\t\t\t\t\t\t\t\t:from [:code]\n\t\t\t\t\t\t\t\t\t:where [:and [:in :value samples][:= :field_id sampleID]]}))\n\t   :rows (xena-query {:select [\"sampleID\" \"position\" \"value\"]\n\t\t\t\t\t\t  :from [dataset]\n\t\t\t\t\t\t  :where [:and [:in \"position\" [[chr start end]]] [:in \"sampleID\" samples]]})}))\n"

/***/ }),
/* 39 */
/***/ (function(module, exports) {

	module.exports = "; sparseData\n(fn [dataset samples genes]\n\t(let [getfield (fn [field]\n\t\t\t\t\t (:id (car (query {:select [:field.id]\n\t\t\t\t\t\t\t\t\t   :from [:dataset]\n\t\t\t\t\t\t\t\t\t   :join [:field [:= :dataset.id :field.dataset_id]]\n\t\t\t\t\t\t\t\t\t   :where [:and [:= :field.name field] [:= :dataset.name dataset]]}))))\n\t\t  sampleID (getfield \"sampleID\")]\n\t  {:samples (map :value (query {:select [:value]\n\t\t\t\t\t\t\t\t\t:from [:code]\n\t\t\t\t\t\t\t\t\t:where [:and [:in :value samples][:= :field_id sampleID]]}))\n\t   :rows (xena-query {:select [\"ref\" \"alt\" \"altGene\" \"effect\" \"dna-vaf\" \"rna-vaf\" \"amino-acid\" \"genes\" \"sampleID\" \"position\"]\n\t\t\t\t\t\t  :from [dataset]\n\t\t\t\t\t\t  :where [:and [:in :any \"genes\" genes] [:in \"sampleID\" samples]]})}))\n"

/***/ }),
/* 40 */
/***/ (function(module, exports) {

	module.exports = "; sparseDataExample\n(fn [dataset count]\n\t{:rows (xena-query {:select [\"ref\" \"alt\" \"altGene\" \"effect\" \"dna-vaf\" \"rna-vaf\" \"amino-acid\" \"genes\" \"sampleID\" \"position\"]\n\t\t\t\t\t\t:from [dataset]\n\t\t\t\t\t\t:limit count})})\n"

/***/ }),
/* 41 */
/***/ (function(module, exports) {

	module.exports = "; sparseDataMatchField\n(fn [field dataset names]\n\t(let [getfield (fn [field]\n\t\t\t\t\t (:id (car (query {:select [:field.id]\n\t\t\t\t\t\t\t\t\t   :from [:dataset]\n\t\t\t\t\t\t\t\t\t   :join [:field [:= :dataset.id :field.dataset_id]]\n\t\t\t\t\t\t\t\t\t   :where [:and [:= :field.name field] [:= :dataset.name dataset]]}))))\n\t\t  genes (getfield field)]\n\t  (map :gene (query {:select [:%distinct.gene]\n\t\t\t\t\t\t :from [:field_gene]\n\t\t\t\t\t\t :join [{:table [[[:name :varchar names]] :T]} [:= :T.name :gene]]\n\t\t\t\t\t\t :where [:= :field_gene.field_id genes]}))))\n"

/***/ }),
/* 42 */
/***/ (function(module, exports) {

	module.exports = "; sparseDataMatchFieldSlow\n(fn [field dataset names]\n\t(let [getfield (fn [field]\n\t\t\t\t\t (:id (car (query {:select [:field.id]\n\t\t\t\t\t\t\t\t\t   :from [:dataset]\n\t\t\t\t\t\t\t\t\t   :join [:field [:= :dataset.id :field.dataset_id]]\n\t\t\t\t\t\t\t\t\t   :where [:and [:= :field.name field] [:= :dataset.name dataset]]}))))\n\t\t  genes (getfield field)]\n\t  (map :gene (query {:select [:%distinct.gene]\n\t\t\t\t\t\t :from [:field_gene]\n\t\t\t\t\t\t :where [:and\n\t\t\t\t\t\t\t\t [:= :field_gene.field_id genes]\n\t\t\t\t\t\t\t\t [:in :%lower.gene names]]}))))\n\n"

/***/ }),
/* 43 */
/***/ (function(module, exports) {

	module.exports = "; sparseDataMatchPartialField\n(fn [field dataset names limit]\n\t(let [getfield (fn [field]\n\t\t\t\t\t (:id (car (query {:select [:field.id]\n\t\t\t\t\t\t\t\t\t   :from [:dataset]\n\t\t\t\t\t\t\t\t\t   :join [:field [:= :dataset.id :field.dataset_id]]\n\t\t\t\t\t\t\t\t\t   :where [:and [:= :field.name field] [:= :dataset.name dataset]]}))))\n\t\t  genes (getfield field)]\n\t  (map :gene (query {:select [:%distinct.gene]\n\t\t\t\t\t\t :limit limit\n\t\t\t\t\t\t :order-by [:gene]\n\t\t\t\t\t\t :from [:field_gene]\n\t\t\t\t\t\t :join [{:table [[[:name :varchar names]] :T]} [:like :gene :T.name]]\n\t\t\t\t\t\t :where [:= :field_gene.field_id genes]}))))\n"

/***/ }),
/* 44 */
/***/ (function(module, exports) {

	module.exports = "; sparseDataRange\n(fn [dataset samples chr start end]\n\t(let [getfield (fn [field]\n\t\t\t\t\t (:id (car (query {:select [:field.id]\n\t\t\t\t\t\t\t\t\t   :from [:dataset]\n\t\t\t\t\t\t\t\t\t   :join [:field [:= :dataset.id :field.dataset_id]]\n\t\t\t\t\t\t\t\t\t   :where [:and [:= :field.name field] [:= :dataset.name dataset]]}))))\n\t\t  sampleID (getfield \"sampleID\")]\n\t  {:samples (map :value (query {:select [:value]\n\t\t\t\t\t\t\t\t\t:from [:code]\n\t\t\t\t\t\t\t\t\t:where [:and [:in :value samples][:= :field_id sampleID]]}))\n\t   :rows (xena-query {:select [\"ref\" \"alt\" \"altGene\" \"effect\" \"dna-vaf\" \"rna-vaf\" \"amino-acid\" \"genes\" \"sampleID\" \"position\"]\n\t\t\t\t\t\t  :from [dataset]\n\t\t\t\t\t\t  :where [:and [:in \"position\" [[chr start end]]] [:in \"sampleID\" samples]]})}))\n"

/***/ }),
/* 45 */
/***/ (function(module, exports) {

	module.exports = "; transcriptExpression\n(fn [transcripts subtypeA subtypeB dataset phenoDataset phenoColumn]\n  (let [fetchSamples\n          (fn [subtype]\n                  ((xena-query {:select [\"sampleID\"]\n                                :from [phenoDataset]\n                                :where [:in phenoColumn [subtype]]})  \"sampleID\"))]\n    [(fetch [{:table dataset\n              :columns transcripts\n              :samples (fetchSamples subtypeA)}])\n     (fetch [{:table dataset\n              :columns transcripts\n              :samples (fetchSamples subtypeB)}])]))\n"

/***/ })
/******/ ]);