'use strict';

/**
 * UCSC Xena Client
 * http://xena.ucsc.edu
 *
 * React Toolbox theme specific to Xena's top nav. Uses component keys (eg RTAppBar) as specified by React Toolbox
 * docs (eg http://react-toolbox.com/#/components/app_bar) to globally apply themes.
 *
 * See https://github.com/react-toolbox/react-toolbox#customizing-all-instances-of-a-component-type for details.
 */

module.exports = {
  RTAppBar: require('./navRTAppBarTheme.module.css'),
  RTButton: require('./navRTButtonTheme.module.css'),
  RTLink: require('./navRTLinkTheme.module.css'),
  RTNavigation: require('./navRTNavigationTheme.module.css')
};