'use strict';

var _stringify = require('babel-runtime/core-js/json/stringify');

var _stringify2 = _interopRequireDefault(_stringify);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _ = require('./underscore_ext');

function getNotifications() {
	var nj = localStorage.xenaNotifications || '{}',
	    notes;
	try {
		notes = JSON.parse(nj);
	} catch (err) {}
	return _.isObject(notes) ? notes : {};
}

function setNotifications(notes) {
	localStorage.xenaNotifications = (0, _stringify2.default)(notes);
}

function disableNotification(notes, note) {
	return _.assoc(notes, note, true);
}

module.exports = {
	getNotifications: getNotifications,
	disableNotification: disableNotification,
	setNotifications: setNotifications
};