'use strict';

var _require = require('./drawSamples'),
    drawSamples = _require.drawSamples;

var _ = require('./underscore_ext');
var widgets = require('./columnWidgets');

function pdf(id, column, vg, state, i) {
	var zoom = state.zoom,
	    colID = _.getIn(state, ['columnOrder', i]),
	    data = _.getIn(state, ['data', colID]),
	    codes = _.getIn(data, ['codes']),
	    heatmap = column.heatmap;


	drawSamples(vg, {
		codes: codes,
		width: _.getIn(column, ['width']),
		zoom: zoom,
		heatmapData: heatmap
	});
}

widgets.pdf.add('samples', pdf);