'use strict';

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var React = require('react');
var CohortSuggest = require('./CohortSuggest');
var DiseaseSuggest = require('./DiseaseSuggest2');
var XRadioGroup = require('./XRadioGroup');
var WizardCard = require('./WizardCard');

var CohortOrDisease = function (_React$Component) {
	(0, _inherits3.default)(CohortOrDisease, _React$Component);

	function CohortOrDisease() {
		var _ref;

		var _temp, _this, _ret;

		(0, _classCallCheck3.default)(this, CohortOrDisease);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = CohortOrDisease.__proto__ || (0, _getPrototypeOf2.default)(CohortOrDisease)).call.apply(_ref, [this].concat(args))), _this), _this.state = { mode: 'cohort', cohort: null }, _this.onChange = function (value) {
			_this.setState({ mode: value, cohort: null });
		}, _this.onDone = function () {
			_this.props.onSelect(_this.state.cohort);
		}, _this.onSelect = function (cohort) {
			_this.setState({ cohort: cohort });
		}, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
	}

	(0, _createClass3.default)(CohortOrDisease, [{
		key: 'render',
		value: function render() {
			var _state = this.state,
			    mode = _state.mode,
			    cohort = _state.cohort,
			    _props = this.props,
			    _props$cohorts = _props.cohorts,
			    cohorts = _props$cohorts === undefined ? [] : _props$cohorts,
			    cohortMeta = _props.cohortMeta,
			    width = _props.width;

			var studyDiscoveryProps = {
				label: 'Study Discovery',
				value: mode,
				onChange: this.onChange,
				options: [{ label: 'Help me select a study', value: 'disease' }, { label: 'I know the study I want to use', value: 'cohort' }]
			};
			var wizardProps = {
				title: 'Study',
				helpText: 'If you would like help determining the data set to use, Xena can suggest data sets if you provide a primary disease or tissue of origin.',
				onDone: this.onDone,
				valid: !!cohort,
				width: width
			};
			return React.createElement(
				WizardCard,
				wizardProps,
				React.createElement(XRadioGroup, studyDiscoveryProps),
				mode === 'cohort' ? React.createElement(CohortSuggest, { onSelect: this.onSelect, cohorts: cohorts,
					cohort: cohort }) : React.createElement(DiseaseSuggest, { onSelect: this.onSelect, cohorts: cohorts,
					cohort: cohort, cohortMeta: cohortMeta })
			);
		}
	}]);
	return CohortOrDisease;
}(React.Component);

module.exports = CohortOrDisease;