'use strict';

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * UCSC Xena Client
 * http://xena.ucsc.edu
 *
 * Component for listing radio or checkbox meta data, when viewing advanced mode.
 */

// Core dependencies, components
var React = require('react');
var _ = require('../underscore_ext');

// Styles
var compStyles = require('./XRadioMeta.module.css');

var XRadioMeta = function (_React$Component) {
	(0, _inherits3.default)(XRadioMeta, _React$Component);

	function XRadioMeta() {
		(0, _classCallCheck3.default)(this, XRadioMeta);
		return (0, _possibleConstructorReturn3.default)(this, (XRadioMeta.__proto__ || (0, _getPrototypeOf2.default)(XRadioMeta)).apply(this, arguments));
	}

	(0, _createClass3.default)(XRadioMeta, [{
		key: 'render',
		value: function render() {
			var meta = this.props.meta;

			return React.createElement(
				'ul',
				{ className: compStyles.XRadioMeta },
				_.map(meta, function (m) {
					return React.createElement(
						'li',
						{ className: compStyles.meta, key: m.label },
						React.createElement(
							'span',
							{ className: compStyles.label },
							m.label
						),
						React.createElement(
							'span',
							{ className: compStyles.value },
							m.value
						),
						React.createElement(
							'span',
							{
								className: compStyles.more },
							'+12 more'
						)
					);
				})
			);
		}
	}]);
	return XRadioMeta;
}(React.Component);

module.exports = XRadioMeta;