'use strict';

var _slicedToArray2 = require('babel-runtime/helpers/slicedToArray');

var _slicedToArray3 = _interopRequireDefault(_slicedToArray2);

var _menu = require('react-toolbox/lib/menu');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var React = require('react');

var _require = require('../xenaQuery'),
    parseDsID = _require.parseDsID;

var getAbout = function getAbout(_onClick, dsID, root, text) {
	var _parseDsID = parseDsID(dsID),
	    _parseDsID2 = (0, _slicedToArray3.default)(_parseDsID, 2),
	    host = _parseDsID2[0],
	    dataset = _parseDsID2[1];

	return React.createElement(_menu.MenuItem, { key: 'about', onClick: function onClick(ev) {
			return _onClick(ev, host, dataset);
		}, caption: text });
};

function aboutDatasetMenu(onClick, dsID) {
	var root = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : '..';

	return dsID ? getAbout(onClick, dsID, root, 'About') : null;
}

module.exports = aboutDatasetMenu;